﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="CS.aspx.cs" Inherits="CS" %>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
</head>
<body>
    <form id="form1" runat="server">
        <div id="dvDetails"></div>
        <script type="text/javascript" src="https://ajax.googleapis.com/ajax/libs/jquery/1.8.3/jquery.min.js"></script>
        <script type="text/javascript">
            $(function () {
                $.ajax({
                    type: "POST",
                    url: "CS.aspx/GetCustomers",
                    data: '{}',
                    contentType: "application/json; charset=utf-8",
                    dataType: "json",
                    success: function (response) {
                        var xmlDoc = $.parseXML(response.d);
                        var xml = $(xmlDoc);
                        var customers = xml.find("Customers");
                        var employees = xml.find("Employees");
                        var rs = "";
                        if (employees.length > 0) {
                            rs += ' <div class="flavour"><h4 class="clrgray">Flavour</h4><div class="flavourcontainer">';
                            for (var i = 0; i < employees.length; i++) {
                                rs += '<a href="#" class="flavourtag">' + $(employees[i]).find('FirstName').text() + '</a>';
                            }
                            rs += '</div></div>';
                        }
                        $('#dvDetails').html(rs);
                    },
                    failure: function (response) {
                        alert(response.responseText);
                    },
                    error: function (response) {
                        alert(response.responseText);
                    }
                });
            });
        </script>
    </form>
</body>
</html>
